be.fgov.ehealth.hubservices.core.v2

## Class SelectGetTransactionListType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.SelectGetTransactionListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:54:32+02:00",
                 comments="JAXB RI v2.3.7")
      public class SelectGetTransactionListType
      extends Object
      implements Serializable

  Java class for SelectGetTransactionListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetTransactionListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicTransactionWithPeriodType" minOccurs="0"/>
               <element name="searchtype" type="{http://www.ehealth.fgov.be/hubservices/core/v2}LocalSearchType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetTransactionListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `LocalSearchType` | `getSearchtype()` Gets the value of the searchtype property.
    `BasicTransactionWithPeriodType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setSearchtype(LocalSearchType value)` Sets the value of the searchtype property.
    `void` | `setTransaction(BasicTransactionWithPeriodType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetTransactionListType

          public SelectGetTransactionListType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getTransaction

          public BasicTransactionWithPeriodType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `BasicTransactionWithPeriodType`

    - #### setTransaction

          public void setTransaction(BasicTransactionWithPeriodType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `BasicTransactionWithPeriodType`

    - #### getSearchtype

          public LocalSearchType getSearchtype()

      Gets the value of the searchtype property.
      Returns:
        possible object is `LocalSearchType`

    - #### setSearchtype

          public void setSearchtype(LocalSearchType value)

      Sets the value of the searchtype property.
      Parameters:
        `value` - allowed object is `LocalSearchType`

Connector Package PERSMIDWIFE 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.